Bug 94095 - update lang/sketchy
Summary: update lang/sketchy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-05 16:20 UTC by Nils M Holm
Modified: 2006-03-20 10:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nils M Holm 2006-03-05 16:20:05 UTC
Update to version 2006-03-05.

Fix: 

-- 
Nils M Holm <nmh@t3x.org> -- http://www.t3x.org/nmh/--xXwcnmcroqUjVEytwzE7uHPvEMnJqPCaBOvl1gAASNiQOyCm
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ru lang/sketchy.old/Makefile lang/sketchy/Makefile
--- lang/sketchy.old/Makefile	Tue Jan 31 22:35:34 2006
+++ lang/sketchy/Makefile	Sun Mar  5 17:12:56 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20060121
+PORTVERSION=	20060305
 CATEGORIES=	lang devel lisp scheme
 MASTER_SITES=	http://www.t3x.org/sketchy/
 
diff -ru lang/sketchy.old/distinfo lang/sketchy/distinfo
--- lang/sketchy.old/distinfo	Tue Jan 31 22:35:34 2006
+++ lang/sketchy/distinfo	Sun Mar  5 17:12:31 2006
@@ -1,3 +1,3 @@
-MD5 (sketchy-20060121.tar.gz) = 1f65e07c9d86399241b83fa3f046b789
-SHA256 (sketchy-20060121.tar.gz) = c8254643b682c16e71c779671e9d4af0ba4c3e9b36f38bd73619114f40a348a1
-SIZE (sketchy-20060121.tar.gz) = 153425
+MD5 (sketchy-20060305.tar.gz) = fb9e1994725520ae73bef15bbaa2e19f
+SHA256 (sketchy-20060305.tar.gz) = a5c6c0cad3bac4d5338e6cdcf92faa8e1279aadf92044b5544dd52c66cfbf3b4
+SIZE (sketchy-20060305.tar.gz) = 158582
diff -ru lang/sketchy.old/pkg-descr lang/sketchy/pkg-descr
--- lang/sketchy.old/pkg-descr	Fri Nov 18 14:59:40 2005
+++ lang/sketchy/pkg-descr	Sun Mar  5 17:12:31 2006
@@ -1,10 +1,10 @@
-Sketchy is an interpreter for a purely applicative dialect of
-Scheme. It may be considered an implementation of pure LISP
-plus global definitions (DEFINE), first-class continuations
-(CALL/CC) and input/output functions (READ, WRITE, etc).
+Sketchy is an interpreter for a purely applicative dialect
+of Scheme. It may be considered an implementation of pure
+LISP plus global definitions, first-class continuations and
+input/output functions.
 
-This package contains the Sketchy interpreter and library, the
-manual, and example programs.
+This package contains the Sketchy interpreter and library,
+the manual, and example programs.
 
 WWW: http://www.t3x.org/sketchy/
 
diff -ru lang/sketchy.old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy.old/pkg-plist	Wed Jan  4 06:45:35 2006
+++ lang/sketchy/pkg-plist	Sun Mar  5 17:12:31 2006
@@ -110,10 +110,12 @@
 %%DATADIR%%/src/count.l
 %%DATADIR%%/src/date.l
 %%DATADIR%%/src/depth.l
+%%DATADIR%%/src/draw-tree.l
 %%DATADIR%%/src/evaluate.l
 %%DATADIR%%/src/everyp.l
 %%DATADIR%%/src/explode.l
 %%DATADIR%%/src/fact.l
+%%DATADIR%%/src/factors.l
 %%DATADIR%%/src/filter.l
 %%DATADIR%%/src/gen-bottles.l
 %%DATADIR%%/src/hanoi.l
Comment 1 Pav Lucistnik freebsd_committer 2006-03-18 23:44:09 UTC
State Changed
From-To: open->feedback

Does not fetch: 

=> sketchy-20060305.tar.gz doesn't seem to exist in /usr/ports/distfiles/. 
=> Attempting to fetch from http://www.t3x.org/sketchy/. 
fetch: http://www.t3x.org/sketchy/sketchy-20060305.tar.gz: Not Found 



Comment 2 Pav Lucistnik freebsd_committer 2006-03-18 23:44:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Pav Lucistnik freebsd_committer 2006-03-20 10:13:04 UTC
State Changed
From-To: feedback->closed

Committed, thanks!